#!/bin/csh -f
## run a single image on multiple machines

## Path from root to project file
setenv RPATH /proj/people/chas/rad/mmack/scene

## Root Name of image file
setenv PIC mmack_c1

## Create a syncfile for our image
touch $PIC.syc

## Set up mandatory file locking for Linux by
## setting the Group ID bit, unset the Group Execute Bit
##chmod g+w $PIC.syc ; chmod g+s $PIC.syc ; chmod g-x $PIC.syc

## Define the granularity of the image pieces
echo 8 8 > $PIC.syc

## make sure the optfile has been created
rad -n -v 0 $PIC.rif

## create the rpiece command line for this image
echo "-F $PIC.syc -x 2496 -y 1376 -pa 0 -vf both.vf @$PIC.opt -o $PIC.pic $PIC.oct" > $PIC.inp

# on each machine do
(rpiece -v @$PIC.inp &) >> $PIC.err
(rpiece -v @$PIC.inp &) >> $PIC.err
#rsh pink -e "cd $RPATH ; rpiece @$PIC.inp &" &
#rsh floyd -e "cd $RPATH ; rpiece @$PIC.inp &" &
